== slim :chart_template
  .row
    .chart-menu
      ul.section.table-of-contents
        li
          a href="#top"  Top
        li
          a href="#worker"  Worker
        li
          a href="#time"  Time

    h3.white-text.center Sidekiq
    
    h4.col.s12.white-text.center id="top" Top
    .col.s12.card.padding.z-depth-4
      == bubble_chart(faststats_top('sidekiq/current', :project_stats),  xtitle:'Duration', ytitle:'% Count', label: "Total", title: 'by Project')
      .col.s12.padding
        .legend X: Duration
        .legend.red Y: % of total calls
        .legend.blue Size: Total Calls


    .col.s12.card.padding.z-depth-4
      == bubble_chart(faststats_top('sidekiq/current', :user_stats),  xtitle:'Duration', ytitle:'% Count', label: "Total", title: 'by User')
      .col.s12.padding
        .legend X: Duration
        .legend.red Y: % of total calls
        .legend.blue Size: Total Calls


    h4.col.s12.white-text.center id="worker" Worker
    .col.s12.card.padding.z-depth-4
      == pie_chart(faststats_field('sidekiq/current', :count), title: 'Total Jobs')

    .col.s12.card.padding.z-depth-4
      == column_chart(faststats_field('sidekiq/current',:p95), title: 'p95', ytitle: 'ms')

    .col.s12.card.padding.z-depth-4
      == column_chart(faststats_field('sidekiq/current',:median), title: 'Median', ytitle: 'ms')



    h4.col.s12.white-text.center id="time" Over Time

    .col.s12.card.padding.z-depth-4
      == column_chart(sidekiq_errors_series, title: 'Job Errors')

    .col.s12.card.padding.z-depth-4
      == area_chart(sidekiq_duration, title: 'Job Duration', ytitle: 'seconds')

    .col.s12.card.padding.z-depth-4
      == area_chart(sidekiq_avg_duration_series, title: 'Job Duration by Class', ytitle: 'seconds')

    .col.s12.card.padding.z-depth-4
      == area_chart(sidekiq_job_latency, title: 'Scheduling Latency Total', ytitle: 'Latency Seconds')
